//
// C++ Interface: configurationeditor
//
// Description: 
//
//
// Author: root <root@carrouf-G1>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CONFIGURATIONEDITOR_H
#define CONFIGURATIONEDITOR_H
#include <QDialog>
#include <QTreeWidget>
#include <QComboBox>
#include <QLineEdit>

/**
	@author root <root@carrouf-G1>
*/
class ConfigurationEditor:public QDialog
{
	Q_OBJECT
	public:
		ConfigurationEditor(QWidget * parent = 0, Qt::WFlags f = 0, QString fileName = "");
		//~ConfigurationEditor();
	private:
		void updateTreeWidgetItems();
		void initWidgets();
		void loadConfiguration();
		
		QTreeWidget *treeWidget;
		QComboBox *cbAutoconnect;
		QComboBox *cbSingleProfileAtOnce;
		QLineEdit *leWlanName;
		QLineEdit *leDownloaderApps;
		QString configFileName;
		
	private slots:
		void saveConfiguration();
};

#endif
