//
// C++ Interface: netutils
//
// Description: 
//
//
// Author: root <root@carrouf-G1>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NETUTILS_H
#define NETUTILS_H

/**
	@author root <root@carrouf-G1>
*/
#include <QtCore>
class NetUtils{
	public:
		NetUtils();
		// ~NetUtils();
		
		QString guessEssid();
		QString getHostname();
		QString getCurrentUserName();
		QString getWifiInterfaceName();
		QString getEssidForProfile(QString, QString);
		QString getConnectionForProfile(const QString&);//QString getConnectionForProfile(QString);
		QString getInterfaceStatus(QString);
		QString getInterfaceType(QString);
		QString checkProfileNameSyntax(const QString&);
		QString getVendorNameForInterface(const QString&);
		
		QStringList getListOfProfiles();
		QStringList getInterfacesList();
		QStringList getActiveProfilesList();
		
		int getRunningInterfacesCount();
		bool getInterfaceWifiStatus(const QString &);
		
		QString profilesDirName;
		QString profilesRunningDirName;
		QString netcfgBinary;
		QString ifconfigBinary;
		QString iwlistBinary;
		//QString iwconfigBinary;
		
		QMap<int, QStringList> parseIwlistScan(QString);
};

#endif
